Bug 1110910 - (CVE-2018-10839) VUL-0: CVE-2018-10839: kvm,qemu: ne2000: integer overflow leads to buffer overflow issue
(CVE-2018-10839)
VUL-0: CVE-2018-10839: kvm,qemu: ne2000: integer overflow leads to buffer ove...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Larry Dewey
Security Team bot
https://smash.suse.de/issue/216190/
CVSSv3:SUSE:CVE-2018-10839:6.5:(AV:N/...
:
Depends on:
Blocks: 1110924
  Show dependency treegraph
 
Reported: 2018-10-05 11:47 UTC by Alexander Bergmann
Modified: 2021-05-27 12:46 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-10-05 11:47:27 UTC
rh#1581013

Qemu emulator built with the NE2000 NIC emulation support is vulnerable to an integer overflow, which could lead to buffer overflow issue. It could occur when receiving packets over the network.

A user inside guest could use this flaw to crash the Qemu process resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-09/msg03273.html

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1581013
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-10839
Comment 1 Larry Dewey 2018-10-30 15:16:49 UTC
Backporting of this has been completed:

| Release     | Request URL                               |
|-------------|-------------------------------------------|
| SLE-11-SP3: | https://build.suse.de/request/show/176037 |
| SLE-11-SP4: | https://build.suse.de/request/show/176038 |
| SLE-12:     | https://build.suse.de/request/show/176039 |
| SLE-12-SP1: | https://build.suse.de/request/show/176040 |
| SLE-12-SP2: | https://build.suse.de/request/show/176041 |
| SLE-12-SP3: | https://build.suse.de/request/show/176042 |
| SLE-12-SP4: | https://build.suse.de/request/show/176043 |
| SLE-15:     | https://build.suse.de/request/show/176044 |
Comment 4 Swamp Workflow Management 2018-11-26 20:12:34 UTC
SUSE-SU-2018:3912-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    qemu-2.0.2-48.46.2
Comment 6 Swamp Workflow Management 2018-11-27 17:13:59 UTC
SUSE-SU-2018:3927-1: An update that solves 7 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1106222,1107489,1110910,1111006,1111010,1111013,1112499,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    qemu-2.11.2-9.12.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    qemu-2.11.2-9.12.2, qemu-linux-user-2.11.2-9.12.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    qemu-2.11.2-9.12.2
Comment 7 Swamp Workflow Management 2018-12-04 20:11:16 UTC
SUSE-SU-2018:3973-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    qemu-2.3.1-33.17.1
Comment 8 Swamp Workflow Management 2018-12-04 20:13:27 UTC
SUSE-SU-2018:3975-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1112185,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18438,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    kvm-1.4.2-60.18.2
Comment 9 Karol Babioch 2018-12-05 14:13:20 UTC
Hi Larry,

thanks for taking care of this issue, it is very much appreciated and we are processing the update right now. However, we would like you to ask to _NOT_ close the bugs for yourself. Just re-assign them back to the security team (security-team@suse.de) once you are done with your submissions.

We will close the bug, once it has been released, since there are multiple codestreams and releasing it might require some additional coordination on our side.

Best regards,
Karol Babioch
Comment 10 Swamp Workflow Management 2018-12-05 17:12:03 UTC
SUSE-SU-2018:3987-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1112185,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18438,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    kvm-1.4.2-53.26.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    kvm-1.4.2-53.26.2
Comment 11 Swamp Workflow Management 2018-12-07 11:23:49 UTC
openSUSE-SU-2018:4004-1: An update that solves 7 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1106222,1107489,1110910,1111006,1111010,1111013,1112499,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
openSUSE Leap 15.0 (src):    qemu-2.11.2-lp150.7.12.1, qemu-linux-user-2.11.2-lp150.7.12.1, qemu-testsuite-2.11.2-lp150.7.12.1
Comment 12 Swamp Workflow Management 2018-12-14 20:10:20 UTC
SUSE-SU-2018:4129-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1100408,1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    qemu-2.9.1-6.22.3
SUSE Linux Enterprise Desktop 12-SP3 (src):    qemu-2.9.1-6.22.3
SUSE CaaS Platform ALL (src):    qemu-2.9.1-6.22.3
SUSE CaaS Platform 3.0 (src):    qemu-2.9.1-6.22.3
Comment 13 Swamp Workflow Management 2018-12-15 23:10:01 UTC
openSUSE-SU-2018:4147-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1100408,1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
openSUSE Leap 42.3 (src):    qemu-2.9.1-50.1, qemu-linux-user-2.9.1-50.1, qemu-testsuite-2.9.1-50.1
Comment 14 Swamp Workflow Management 2018-12-19 14:13:16 UTC
SUSE-SU-2018:4185-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1106222,1108474,1110910,1111006,1111010,1111013,1114422,1114529
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-16847,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    qemu-2.11.2-5.5.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    qemu-2.11.2-5.5.1
Comment 15 Swamp Workflow Management 2018-12-22 14:09:24 UTC
SUSE-SU-2018:4237-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE OpenStack Cloud 7 (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    qemu-2.6.2-41.46.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    qemu-2.6.2-41.46.2
SUSE Enterprise Storage 4 (src):    qemu-2.6.2-41.46.2
Comment 16 Swamp Workflow Management 2019-04-27 22:35:59 UTC
SUSE-SU-2018:3973-2: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1106222,1110910,1111006,1111010,1111013,1114422
CVE References: CVE-2018-10839,CVE-2018-15746,CVE-2018-17958,CVE-2018-17962,CVE-2018-17963,CVE-2018-18849
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    qemu-2.3.1-33.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Marcus Meissner 2019-08-30 15:13:21 UTC
released